POST
/
v1
/
validation
Validate multiple numbers
curl --request POST \
  --url https://api.wavix.com/v1/validation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_numbers": [
    "971501390098",
    "971504359195"
  ],
  "type": "format",
  "async": true,
  "force": true
}
'
{
  "status": "success",
  "pending": 0,
  "count": 1000,
  "items": [
    {
      "phone_number": "971569483322",
      "valid": true,
      "country_code": "AE",
      "e164_format": "+971569483322",
      "national_format": "056 948 3322",
      "ported": false,
      "mcc": "424",
      "mnc": "004",
      "number_type": "mobile",
      "carrier_name": "Etisalat",
      "risky_destination": false,
      "unallocated_range": false,
      "reachable": true,
      "roaming": false,
      "timezone": "UTC+04:00",
      "charge": "0.015",
      "error_code": "000"
    }
  ]
}

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Body

application/json

Phone numbers to validate and validation options.

phone_numbers
string[]
required

List of phone numbers to get detailed information about. Maximum 1000 numbers per request.

Maximum array length: 1000
Example:
["971501390098", "971504359195"]
type
enum<string>
required

Depth of validation to perform on the phone number. One of format (checks number syntax only), analysis (returns number metadata such as type and country), or validation (performs a live network lookup of the number's current status).

Available options:
format,
analysis,
validation
async
boolean
default:false

Indicates whether the request should be executed asynchronously. If true, the response will include a request_uuid that can be used to poll for results. If false (default), the response will include validation results directly.

Example:

true

force
boolean
default:false

Indicates whether to force a fresh validation instead of returning a previously cached result. Defaults to false.

Example:

true

Response

Returns the validation results, or a request_id when validation is asynchronous.

status
string
required

Validation request status.

Example:

"success"

pending
integer
required

Number of validations still in progress.

Example:

0

count
integer<int32>
required

Total number of phone numbers in the request.

Example:

1000

items
PhoneValidationResultResponse · object[]
required

List of validation results for each phone number.